From d3e86d2df613ea7361f391679ec9f4145a0a6723 Mon Sep 17 00:00:00 2001
From: George Gelashvili and Tira Odhner <pair+ggelashvili+aodhner@pivotal.io>
Date: Thu, 9 Feb 2017 15:09:39 -0500
Subject: [PATCH 3/3] [PATCH] Make test setup node-independent and delete test
 databases

---
 web/regression/runtests.py   |  4 ++--
 web/regression/test_utils.py | 55 +++++++++++++-------------------------------
 2 files changed, 18 insertions(+), 41 deletions(-)

diff --git a/web/regression/runtests.py b/web/regression/runtests.py
index f387b9c2..8dadffd4 100644
--- a/web/regression/runtests.py
+++ b/web/regression/runtests.py
@@ -278,7 +278,7 @@ if __name__ == '__main__':
             print("\n=============Running the test cases for '%s'============="
                   % server['name'], file=sys.stderr)
             # Create test server
-            test_utils.create_parent_server_node(server, node_name)
+            test_utils.create_parent_server_node(server)
 
             suite = get_suite(test_module_list, server, test_client)
             tests = unittest.TextTestRunner(stream=sys.stderr,
@@ -294,7 +294,7 @@ if __name__ == '__main__':
                 failure = True
 
             # Delete test server
-            # test_utils.delete_test_server(test_client)
+            test_utils.delete_test_server(test_client)
     except SystemExit:
         drop_objects()
 
diff --git a/web/regression/test_utils.py b/web/regression/test_utils.py
index 11b1c689..92d0665f 100644
--- a/web/regression/test_utils.py
+++ b/web/regression/test_utils.py
@@ -230,53 +230,30 @@ def add_schema_to_parent_node_dict(srv_id, db_id, schema_id, schema_name):
                                                   "schema_name": schema_name})
 
 
-def create_parent_server_node(server_info, node_name):
+def create_parent_server_node(server_info):
     """
     This function create the test server which will act as parent server,
     the other node will add under this server
     :param server_info: server details
     :type server_info: dict
-    :param node_name: node name
-    :type node_name: str
     :return: None
     """
     srv_id = create_server(server_info)
-    if node_name == "databases":
-        # Create test database
-        test_db_name = "test_db_%s" % str(uuid.uuid4())[1:6]
-        db_id = create_database(server_info, test_db_name)
-        add_db_to_parent_node_dict(srv_id, db_id, test_db_name)
-    elif node_name == "schemas":
-        test_db_name = "test_db_%s" % str(uuid.uuid4())[1:6]
-        db_id = create_database(server_info, test_db_name)
-        add_db_to_parent_node_dict(srv_id, db_id, test_db_name)
-        # Create schema
-        schema_name = "test_schema_%s" % str(uuid.uuid4())[1:6]
-        connection = get_db_connection(test_db_name,
-                                       server_info['username'],
-                                       server_info['db_password'],
-                                       server_info['host'],
-                                       server_info['port'])
-
-        schema = regression.schema_utils.create_schema(connection, schema_name)
-        add_schema_to_parent_node_dict(srv_id, db_id, schema[0],
-                                       schema[1])
-    elif node_name not in ["servers", "roles", "tablespaces", "browser"]:
-        # Create test database
-        test_db_name = "test_db_%s" % str(uuid.uuid4())[1:6]
-        db_id = create_database(server_info, test_db_name)
-        add_db_to_parent_node_dict(srv_id, db_id, test_db_name)
-        # Create schema
-        schema_name = "test_schema_%s" % str(uuid.uuid4())[1:6]
-        connection = get_db_connection(test_db_name,
-                                       server_info['username'],
-                                       server_info['db_password'],
-                                       server_info['host'],
-                                       server_info['port'])
-
-        schema = regression.schema_utils.create_schema(connection, schema_name)
-        add_schema_to_parent_node_dict(srv_id, db_id, schema[0],
-                                       schema[1])
+    # Create database
+    test_db_name = "test_db_%s" % str(uuid.uuid4())[1:6]
+    db_id = create_database(server_info, test_db_name)
+    add_db_to_parent_node_dict(srv_id, db_id, test_db_name)
+    # Create schema
+    schema_name = "test_schema_%s" % str(uuid.uuid4())[1:6]
+    connection = get_db_connection(test_db_name,
+                                   server_info['username'],
+                                   server_info['db_password'],
+                                   server_info['host'],
+                                   server_info['port'])
+
+    schema = regression.schema_utils.create_schema(connection, schema_name)
+    add_schema_to_parent_node_dict(srv_id, db_id, schema[0],
+                                   schema[1])
 
 
 def delete_test_server(tester):
-- 
2.11.0

